cc.Class({
    extends: cc.Component,

    properties: {
        hitWood: {
            default: null,
            url: cc.AudioClip
        },
        hitKnife: {
            default: null,
            url: cc.AudioClip
        },
        hitCoin: {
            default: null,
            url: cc.AudioClip
        },
        readyGo: {
            default: null,
            url: cc.AudioClip
        }
    },

    _playSFX: function(clip) {
        cc.audioEngine.playEffect( clip, false );
    },

    /**
     * 击中木块
     */
    playHitWood () {
        this._playSFX(this.hitWood)
    },

    /**
     * 击中刀
     */
    playKnife () {
        this._playSFX(this.hitKnife)
    },

    /**
     * 击中金币
     */
    playKnife () {
        this._playSFX(this.hitCoin)
    },

    playReadyGo () {
        this._playSFX(this.readyGo)
    }

});
